"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parser_babel_1 = __importDefault(require("prettier/parser-babel"));
const parser_typescript_1 = __importDefault(require("prettier/parser-typescript"));
const import_sort_1 = require("import-sort");
const importSortParserBabylon = __importStar(require("import-sort-parser-babylon"));
const importSortParserTypescript = __importStar(require("import-sort-parser-typescript"));
const style_1 = __importDefault(require("./style"));
const parsers = {
    babel: {
        ...parser_babel_1.default.parsers.babel,
        preprocess: (code, options) => import_sort_1.sortImports(code, importSortParserBabylon, style_1.default, undefined, options).code,
    },
    typescript: {
        ...parser_typescript_1.default.parsers.typescript,
        preprocess: (code, options) => import_sort_1.sortImports(code, importSortParserTypescript, style_1.default, undefined, options).code,
    },
};
const options = {
    importSortGroups: {
        category: "JavaScript",
        type: "path",
        array: true,
        default: [{ value: [] }],
        description: "Groups of regex patterns in order to sort imports by. Use an empty string to denote a line separator.",
    },
    importSortByMemberType: {
        category: "JavaScript",
        type: "boolean",
        default: false,
        description: "Sort by member type first before sorting by package name.",
    },
};
module.exports = {
    parsers,
    options,
};
